# VirtualSite Class Reference

A VirtualSite describes the rules for computing a particle's position based on other particles. More...

Inheritance diagram for VirtualSite:

List of all members.

## Public Member Functions
def | __init__
def | __del__
| __del__(OpenMM.VirtualSite self)
def | getNumParticles
| getNumParticles(VirtualSite self) -> int
def | getParticle
| getParticle(VirtualSite self, int particle) -> int

## Detailed Description

A VirtualSite describes the rules for computing a particle's position based on other particles.

This is an abstract class. Subclasses define particular rules. To define a virtual site, create an instance of a VirtualSite subclass and then call setVirtualSite() on the System.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.VirtualSite self)

Reimplemented in LocalCoordinatesSite, ThreeParticleAverageSite, TwoParticleAverageSite, and OutOfPlaneSite.

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs |
| ) |  |  |

def getNumParticles | ( |  | self | ) |

getNumParticles(VirtualSite self) -> int

Get the number of particles this virtual site depends on.

def getParticle | ( |  | self,
|  |  | args |
| ) |  |  |

getParticle(VirtualSite self, int particle) -> int

Get the index of a particle this virtual site depends on.

Parameters:

  | particle | the particle to get (between 0 and getNumParticles())

The documentation for this class was generated from the following file:

- openmm.py